Organizations represent the customers of Tesouro partners. An organization registers its operations and stores financial documents (such as payables or bank transactions) via the partner’s applications. Those financial documents are in turn stored and processed by Tesouro.Documentation Index
Fetch the complete documentation index at: https://docs.tesouro.com/llms.txt
Use this file to discover all available pages before exploring further.
Learn more about organizations, organization users, and the Tesouro account
structure.
Create an organization representing your customer
To create a new organization, callPOST /identity/v1/organizations:
displayName— The name shown in the UI.legalName— The official registered legal name of the organization.shortName— A short alphanumeric slug identifier (letters, digits, and hyphens only).mccsAllowed— List of merchant category codes (MCCs) permitted for this organization.type— The organizational type. Possible values:EMBEDDED,TRANSACTOR,VERTICAL_SOFTWARE_PROVIDER. The response returns this astypes(an array).
- After an organization is created, you must also add its bank accounts.
Upload organization logo
You can provide the organization logo for use in the PDF documents generated by the organization (such as Accounts Receivable invoices and credit notes). The logo will also appear on the payment page if the organization uses Tesouro payment rails. The logo image can be PNG or JPG up to 10 MB in size. To upload the logo for an organization, callPUT /identity/v1/organizations/{organizationId}/logo with a multipart/form-data body containing the image in the file field:
logo response field when you retrieve organization information with GET /identity/v1/organizations/{organizationId} or similar requests.
You can update the logo at any time later by uploading a new logo. You can also delete the logo by calling DELETE /identity/v1/organizations/{organizationId}/logo.
List all organizations
To get information about all the organizations managed by the partner, callGET /identity/v1/organizations. This endpoint supports pagination and filtering via query parameters.
Get a single organization
To get information about a specific organization, callGET /identity/v1/organizations/{organizationId}:
Requests authenticated with an organization user token can
access any organization visible in the caller’s hierarchy. The token must have the
org:read:all scope.Update organization information
To update the details of an existing organization, callPATCH /identity/v1/organizations/{organizationId}:
Requests authenticated with an organization user token can
update any organization visible in the caller’s hierarchy. The token must have the
org:write scope.Disable and enable organizations
Organizations have anisEnabled field that is true when active and false when disabled. Partners can disable organizations to control access. New organizations are enabled by default.
- To disable an organization, call
POST /identity/v1/organizations/{organizationId}/disable. - To enable an organization, call
POST /identity/v1/organizations/{organizationId}/enable.
Both app tokens and organization user tokens can disable and enable organizations. The token must have the
org:write:all scope. Only EMBEDDED and VERTICAL_SOFTWARE_PROVIDER organizations can be disabled or enabled — TRANSACTOR organizations cannot.Access the current user’s organization
If you use organization user tokens to authenticate Tesouro API requests, the following endpoints let you access the current user’s organization without providing its ID:GET /entity-users/my-organization- get organization information.PATCH /entity-users/my-organization- update organization information.
entity.read and entity.update permissions, respectively.